// ===========================================================================
// CPrefFile.h            1996 Sunbay Development Group. All rights reserved.
// ===========================================================================
// 

#pragma once

#include <LFile.h>

class CPrefFile : public LFile {
	public:
				CPrefFile(void);
				CPrefFile(ConstStr255Param inFileName, Boolean inCreateFolder = false);

		OSErr	SetName(ConstStr255Param inFileName, Boolean inCreateFolder = false);
		OSErr	CreateFile(OSType inCreator, OSType inFileType, ScriptCode inScriptCode = smSystemScript);

		OSErr	CreateResFork(OSType inCreator, OSType inFileType, ScriptCode inScriptCode = smSystemScript);
		OSErr	OpenResFork(Int16 inPrivileges = fsRdWrPerm);
		OSErr	CloseResFork(void);

		OSErr	CreateDatFork(OSType inCreator, OSType inFileType, ScriptCode inScriptCode = smSystemScript);
		OSErr	OpenDatFork(Int16 inPrivileges = fsRdWrPerm);
		OSErr	CloseDatFork(void);

		OSErr	NewResource(void *resdata, long ressize, ResType restype, short resid, ConstStr255Param resname = "\p");
		OSErr	PutResource(void *resdata, long ressize, ResType restype, short resid, ConstStr255Param resname = "\p");
		OSErr	GetResource(void *resdata, long ressize, ResType restype, short resid, ConstStr255Param resname = "\p");
};
